import request from '@/utils/request'

export function queryMember(params?: any) {
    return request.post({ url: '/membership/queryMember', params }, { urlPrefix: '/elab-marketing-content' })
}

export function queryBenefits(params?: any) {
    return request.post({ url: '/membership/queryBenefits', params }, { urlPrefix: '/elab-marketing-content' })
}

export function queryMemberUser(params?: any) {
    return request.post({ url: '/membership/queryMemberUser', params }, { urlPrefix: '/elab-marketing-content' })
}

export function saveBenefits(params?: any) {
    return request.post({ url: '/membership/saveBenefits', params }, { urlPrefix: '/elab-marketing-content' })
}

export function saveMember(params?: any) {
    return request.post({ url: '/membership/saveMember', params }, { urlPrefix: '/elab-marketing-content' })
}

export function saveMemberBenefits(params?: any) {
    return request.post({ url: '/membership/saveMemberBenefits', params }, { urlPrefix: '/elab-marketing-content' })
}
